Bug 69323 - up2date doesn't install all of the downloaded files
up2date doesn't install all of the downloaded files
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-20 22:25 EDT by Gerald Henriksen
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-24 00:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Henriksen 2002-07-20 22:25:06 EDT
Description of Problem:

Selected the various compiler related rpm's from up2date (gcc, cpp, glibc, etc),
downloaded fine.  Following error reported while up2date attemtped to install
the rpms:

./usr/share/rhn/up2date_client/gui.py:855: DeprecationWarning:
  totalProgress.update(0)
/usr/share/rhn/up2date_client/gui.py:908: DeprecationWarning:
  totalProgress.update(i)
/usr/share/rhn/up2date_client/gui.py:1007: DeprecationWarning:
  self.totalProgress.update(0)
/usr/share/rhn/up2date_client/gui.py:981: DeprecationWarning:
  self.progress.update(i)
/usr/share/rhn/up2date_client/gui.py:973: DeprecationWarning:
  self.totalProgress.update(i)
warning: /etc/localtime created as /etc/localtime.rpmnew
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1014, in doInstallation
    kernelsToInstall = up2date.installPackages(self.selectedPkgList,
self.rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 470, in installPackages
   rc = ts.run((1 << 10) , 0, rpmCallback, cfg.readEntry("storageDir"))
  File "/usr/share/rhn/up2date_client/gui.py", line 976, in rpmCallback
    i = (amount + 1.0) / total
ZeroDivisionError: float division
Comment 1 Adrian Likins 2002-07-22 18:25:56 EDT
this is fixed in cvs and should be fixed in versions 2.9.10 or higher.
Comment 2 Gerald Henriksen 2002-07-24 00:46:45 EDT
Upgrade to 2.9.20 fixed the problem.
Comment 3 Jay Turner 2002-09-04 21:44:42 EDT
Fix confirmed with up2date-3.0.4-1.

Note You need to log in before you can comment on or make changes to this bug.